---
apiVersion: v1
kind: ConfigMap
metadata:
  name: cyrus-kube
  namespace: ci
data:
  cyrus.conf: |
    START {
        recover       cmd="ctl_cyrusdb -r"
    }
    SERVICES {
        imap          cmd="imapd" listen="imap" prefork=5
        imaps         cmd="imapd -s" listen="imaps" prefork=1
        lmtpunix      cmd="lmtpd" listen="/run/cyrus/socket/lmtp" prefork=1
        lmtp          cmd="lmtpd -a" listen="lmtp" prefork=0
        pop3          cmd="pop3d" listen="pop3" prefork=3
        pop3s         cmd="pop3d -s" listen="pop3s" prefork=1
        sieve         cmd="timsieved" listen="sieve" prefork=0
    }
    EVENTS {
        checkpoint    cmd="ctl_cyrusdb -c" period=30
        delprune      cmd="cyr_expire -E 3" at=0400
        deleteprune   cmd="cyr_expire -E 4 -D 28" at=0430
        expungeprune  cmd="cyr_expire -E 4 -X 28" at=0445
        tlsprune      cmd="tls_prune" at=0400
    }
    DAEMON {
    }
  dummy.conf: |
    foo
  imapd.conf: |
    admins: cyrus
    allowplaintext: yes
    autocreate_quota: 0
    autocreate_inbox_folders: Sent | Drafts | Trash | Junk
    autocreate_post: yes
    configdirectory: /var/lib/imap
    conversations: 1
    conversations_db: twoskip
    defaultpartition: default
    defaultdomain: ci.apps.intra.unetresgrossebite.com
    duplicate_db_path: /run/cyrus/db/deliver.db
    hashimapspool: true
    idlesocket: /run/cyrus/socket/idle
    lmtpsocket: /run/cyrus/socket/lmtp
    mboxname_lockpath: /run/cyrus/lock
    notifysocket: /run/cyrus/socket/notify
    partition-default: /var/spool/imap
    popminpoll: 1
    proc_path: /run/cyrus/proc
    ptscache_db_path:  /run/cyrus/db/ptscache.db
    sasl_auto_transition: no
    sasl_mech_list: PLAIN LOGIN
    sasl_pwcheck_method: saslauthd
    sievedir: /var/lib/imap/sieve
    smtp_backend: host
    smtp_host: postfix-kube-internal.ci.svc.cluster.local:587
    specialusealways: 1
    statuscache_db_path: /run/cyrus/db/statuscache.db
    syslog_prefix: cyrus
    tls_client_ca_file: /etc/pki/cyrus-imapd/cyrus-imapd-ca.pem
    tls_client_ca_dir: /etc/ssl/certs
    tls_session_timeout: 1440
    tls_sessions_db_path: /run/cyrus/db/tls_sessions.db
    tls_server_cert: /etc/pki/cyrus-imapd/cyrus-imapd.pem
    tls_server_key: /etc/pki/cyrus-imapd/cyrus-imapd-key.pem
    virtdomains: off
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: openldap-kube-config
  namespace: ci
data:
  ldap.conf: |
    TLS_CACERT /certs/ca.crt
    TLS_REQCERT demand
    URI ldaps://openldap-kube.ci.svc.cluster.local:1636
